﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!-- Program Name: New Standards and Operating Rules – Payer Side (POR)
     Contractor Name: Harris Corporation
     Contract Number: VA118-11-D-1009
     Project: POR – CORE Compliance – Automated Eligibility Tool (AET)
     
     Developer: Warren Chave
     Date: 01.08.2013
     ----------------
     File new or changed HPID table entry. 
-->

<%
    // Check if SQL Server is available.
    if (Check_SQL_Server_Access() == false) Response.Redirect("Resource_Unavailable.htm");
    
    // Check if SQL Server is available.
    if (Check_SQL_Server_Access() == false) Response.Redirect("Resource_Unavailable.htm");

    // Check if user has the security key to access this page.
    if (Validate_User("upd_tables") == false) Response.Redirect("Access_Denied.htm");

    /*  Get values from the form or from the URL.  Try form first. */
    var payerIdentifier = Request.Form["payerIdentifier"];
    var payerIdentifierType = Request.Form["payerIdentifierType"];
    var action = Request.Form["action"];
    var record_count = Request.Form["record_count"];

    if (action == null)
    {
        /*  Data is from URL. */
        payerIdentifier = Request.QueryString["payerIdentifier"];
        payerIdentifierType = Request.QueryString["payerIdentifierType"];
        action = Request.QueryString["action"];
        record_count = Request.QueryString["record_count"];
    }

    string sql_command = "";
    
    switch ((string)action)
    {
        case "ADD":
            {
                var ConnectionString = SQL_Server_Access();
                using (System.Data.SqlClient.SqlConnection Server_Connection = new System.Data.SqlClient.SqlConnection(ConnectionString))
                {
                    sql_command = "INSERT INTO AET_HPID (payer_identifier,payer_identifier_type,Date_Entered,Entered_By) "+
                        "VALUES ('" + payerIdentifier + "','" + payerIdentifierType.Replace("'", "''") +"','"+DateTime.Today+"','"+User.Identity.Name+"');";
                    System.Data.SqlClient.SqlCommand SQL_Command = new System.Data.SqlClient.SqlCommand(sql_command, Server_Connection);

                    SQL_Command.Connection.Open();
                    SQL_Command.ExecuteNonQuery(); 
                    SQL_Command.Connection.Close();
                }
            }
            break;

        case "EDIT":
            {
                var ConnectionString = SQL_Server_Access();
                using (System.Data.SqlClient.SqlConnection Server_Connection = new System.Data.SqlClient.SqlConnection(ConnectionString))
                {
                    sql_command = "UPDATE AET_HPID SET payer_identifier='" + payerIdentifier + "',payer_identifier_type='" +
                        payerIdentifierType.Replace("'","''")+"',Date_Entered='"+
                        DateTime.Today+"',Entered_By='"+User.Identity.Name+"' WHERE id="+record_count+";";

                    System.Data.SqlClient.SqlCommand SQL_Command = new System.Data.SqlClient.SqlCommand(sql_command, Server_Connection);
                    SQL_Command.Connection.Open();
                    SQL_Command.ExecuteNonQuery();
                    SQL_Command.Connection.Close(); 
                }

            }
            break;

        case "DELETE":
            {
                var ConnectionString = SQL_Server_Access();
                using (System.Data.SqlClient.SqlConnection Server_Connection = new System.Data.SqlClient.SqlConnection(ConnectionString))
                {
                    sql_command = "DELETE FROM AET_HPID WHERE id="+record_count+";";
                    
                    System.Data.SqlClient.SqlCommand SQL_Command = new System.Data.SqlClient.SqlCommand(sql_command, Server_Connection);
                    SQL_Command.Connection.Open();
                    SQL_Command.ExecuteNonQuery();
                    SQL_Command.Connection.Close();
                }

            }
            break;

        default:
            {
            }
            break;
    }

    /*  Record action taken in web site access log.  */
    Record_in_Access_Log("Table Maintenance", "AET_HPID", action + " record",sql_command);

    Response.Redirect("Hpid_Enter-Edit.aspx"); 
%>
